///////////////////////////////////////////////////////////////////////////////
//
//      Lai_struct.h                                Author:  Lai, Yu-Chi
//                                                  Email:   yu-chil@cae.wisc.edu
//                                                  Date:	 spring 2002
//
//      Data structure
//
///////////////////////////////////////////////////////////////////////////////

#ifndef _LAI_STRUCT
#define _LAI_STRUCT

struct color_ele{
	unsigned char r;
	unsigned char g;
	unsigned char b;
	int occurence;
};

struct d_tree{
	unsigned char median[3];
	unsigned char cut0;
	unsigned char cut1;
	d_tree *left;
	d_tree *right;
};

int compare(const void *, const void *);

#endif
